Create Store Login URL

Beta
`POST` `/stores/{store_id}/login-url` allows you to create a one-time login URL to redirect a merchant to their store control panel. You need to use a form to send a `POST` request and redirect the merchant’s browser to the action URL because most browsers only support `GET` requests in the address bar. ```javascript title=Sample Form Request loginForm = document.createElement("form"); loginForm.setAttribute("method", "post"); loginForm.setAttribute("action", "store login URL returned from endpoint"); document.getElementsByTagName("body")[0].appendChild(loginForm); loginForm.submit(); ``` One-time login URLs support deep linking. You can have multiple active sessions for a singular user as long each is session is created through unique login URLs. This is important you are using a single login such as customerservice@partner.com to access merchants' stores.

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Path parameters

store_idstringRequired

Request

user_emailstringRequired>=1 character
Email address of the requested user. Email must belong to a user that belongs to the requesting account
redirect_pathstringOptional

Note that you do not need /manage/ for your URLs. You only need the path after /manage/ that you would like the user directed to.

Response

Success
dataobject
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error